import Vue from 'vue';
import App from './App';
import store from './store'
Vue.prototype.$store = store

import statusContainer from './components/containers/status-container.vue';//引入头部状态栏、导航栏、内容容器组件
Vue.component('status-container',statusContainer);//全局注册头部状态栏、导航栏、内容容器组件

// 常用便捷式公共方法
import tools from '@/jsFile/tools.js';
Vue.prototype.$toolAll = tools;

// 响应数据
import requst from '@/jsFile/requst.js';
Vue.prototype.$requst = requst;

App.mpType = 'app';

const app = new Vue({
	store,
    ...App
})
app.$mount()
